import React from 'react';
import {
  Card,
  WhiteSpace,
  Flex,
} from 'antd-mobile';
import { withRouter } from "react-router-dom";
class CardViewFour extends React.Component{
  render(){
    return(
      <div>
        <WhiteSpace size="lg" style={{background:"#eee"}} />
        <Card full>
          <Card.Header
            title={
              <span style={ {paddingRight:"0.75rem",fontWeight:"600"}}>基地列表</span>
            }
            extra={
              <span></span>
            }
            style={ {padding:"1.2rem 1.3rem",color:'#38c5b8'}}
          />
          <CardTh data={this.props.data} />
        </Card>
      </div>
    );
  }
}

class CardTh extends React.Component{

  render(){
    const data = this.props.data;
    if (data !== null){
      return(
        <div>
          <Card.Body style={{padding:"0 1.5rem",fontSize:"0.8rem"}}>
            <Flex style={{padding:"0.4rem 0"}}>
              <Flex.Item style={{flex:"2"}}>
                序号
              </Flex.Item>
              <Flex.Item style={{flex:"3"}}>
                基地名称
              </Flex.Item>
              <Flex.Item style={{flex:"3"}}>
                总户数
              </Flex.Item>
              <Flex.Item style={{flex:"3"}}>
                已签约户数
              </Flex.Item>
            </Flex>

          </Card.Body>
          {data.map((item,index)=>(
            <CardThBodyWithRouter item={item} key={index} index={index}/>
          ))}
        </div>
      );
    }else {
      return(
        <div>

        </div>
      );
    }
  }
}

class CardThBody extends React.Component{
  pushRoute=(item)=>{
    try{
      console.info(this.props.history);
      this.props.history.push(`/BasePage/${item.jDName}`);
    }catch (e)
    {
      console.info(e);
    }
  }
  render(){
    const item=this.props.item;
    const index=this.props.index;
    return (
      <div>
        <Card.Body style={{padding: "0 1.5rem", fontSize: "0.8rem", minHeight: "0"}} onClick={()=>this.pushRoute(item)}>
          <Flex style={{padding: "0.4rem 0"}}>
            <Flex.Item style={{flex: "2"}}>
              {index+1}
            </Flex.Item>
            <Flex.Item style={{flex: "3"}}>
              {item.jDName}
            </Flex.Item>
            <Flex.Item style={{flex: "3"}}>
              {item.xiangMuZongHuShu}
            </Flex.Item>
            <Flex.Item style={{flex: "3"}}>
              {item.yiQianYueHuShu}
            </Flex.Item>
          </Flex>
        </Card.Body>
      </div>
    );
  }
}
const CardThBodyWithRouter = withRouter(CardThBody)
export default CardViewFour;
